﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;
using System.Diagnostics;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new DataItem() { Amount = 123 };
        }
    }

    public class DataItem : ViewModelBase
    {

        
        private double amount;
        public double Amount
        {
            get
            {
                return this.amount;
            }
            set
            {
                if (this.amount != value)
                {
                    this.amount = value;
                    OnPropertyChanged("Amount");
                    MessageBox.Show("Amount PropertyChanged");
                }
            }
        }

        private float floatAmount;
        public float FloatAmount
        {
            get
            {
                return this.floatAmount;
            }
            set
            {
                if (this.floatAmount != value)
                {
                    this.floatAmount = value;
                    OnPropertyChanged("FloatAmount");
                    MessageBox.Show("FloatAmount PropertyChanged");
                }
            }
        }
        
    }
}
